Gem::Specification.new do |s|
  s.name        = 'gembase'
  s.version     = '1.0.6'
  s.date        = '2020-02-26'
  s.summary     = "Gembase is a YAML database manager gem for Ruby."
  s.description = "Gembase is a YAML database manager gem for Ruby. Very powerful, simple and effective."
  s.authors     = ["NTB Bloodbath"]
  s.email       = ['bloodbathalchemist@protonmail.com']
  s.files       = Dir.glob('lib/*.rb') + ["gembase.gemspec"]
  s.require_paths = ["lib"]
  s.homepage    = 'https://rubygems.org/gems/gembase'
  s.license     = 'MIT'
  s.required_ruby_version = '>= 2.0'
  s.add_runtime_dependency 'colorize', '~> 0.8', '>= 0.8.1'
  s.add_runtime_dependency 'yaml_vault', '~> 1.1', '>= 1.1.3'
  s.metadata    = { 
    "source_code_uri" => "https://github.com/NTBBloodbath/Gembase",
    "documentation_uri" => "https://rubydoc.info/github/NTBBloodbath/Gembase/master/index"
  }
  lib = File.expand_path('./lib/', __FILE__)
  $LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
end
